package cn.ezhizao.project.business.mapper;

import java.util.List;

import cn.ezhizao.project.business.domain.BizTakeStockPeriod;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTaksStockLot;

/**
 * 盘点批次信息Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-15
 */
public interface BizTaksStockLotMapper extends BaseMapper<BizTaksStockLot>
{
    /**
     * 查询盘点批次信息列表
     *
     * @param bizTaksStockLot 盘点批次信息
     * @return 盘点批次信息集合
     */
    public List<BizTaksStockLot> getList(BizTaksStockLot bizTaksStockLot);
    public List<BizTaksStockLot> getProductionPlanDetailList(BizTaksStockLot bizTaksStockLot);
    public List<BizTaksStockLot> getNotTaksLot(BizTaksStockLot bizTaksStockLot);
    public List<BizTaksStockLot> getInfo(BizTakeStockPeriod bizTakeStockPeriod);

    /**
     * 物理删除
     * @param bizTaksStockLot
     * @return 删除结果
    */
    public int physicalDelete(BizTaksStockLot bizTaksStockLot);

    List<BizTaksStockLot> getOutsourceDetailList(BizTaksStockLot bizTaksStockLot);

    String saveOutsourceInfo(BizTaksStockLot bizTaksStockLot);
}
